Bug 19950 - Update popup window templates to use Bootstrap grid: Serials
Summary: Update popup window templates to use Bootstrap grid: Serials
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19931
  Show dependency treegraph
 
Reported: 2018-01-10 19:17 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19950: Update popup window templates to use Bootstrap grid: Serials (3.58 KB, patch)
2018-01-10 19:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19950: Update popup window templates to use Bootstrap grid: Serials (3.63 KB, patch)
2018-01-18 03:51 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19950: Update popup window templates to use Bootstrap grid: Serials (3.70 KB, patch)
2018-02-04 15:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-10 19:17:11 UTC
This bug falls under the omnibus Bug 19931, "Update popup window templates to use Bootstrap grid." Updated in this patch will be routing-preview-slip.tt (Routing slip preview) and subscription-renew.tt (Subscription renew).
Comment 1 Owen Leonard 2018-01-10 19:31:17 UTC
Created attachment 70418 [details] [review]
Bug 19950: Update popup window templates to use Bootstrap grid: Serials

This patch updates the two serials templates to use the Bootstrap grid
instead of the YUI grid.

Apply the patch and go to Serials and locate an existing
subscription.

- Click the "Edit routing list" in the sidebar.
- Save the routing list, and click "Save and preview routing slip."
- The routing slip preview should look correct and buttons should work
  correctly.

- When viewing the details of a subscription, click the "Renew" button
  in the toolbar. The popup window should look correct.
Comment 2 Zoe Bennett 2018-01-18 03:51:27 UTC
Created attachment 70677 [details] [review]
Bug 19950: Update popup window templates to use Bootstrap grid: Serials

This patch updates the two serials templates to use the Bootstrap grid
instead of the YUI grid.

Apply the patch and go to Serials and locate an existing
subscription.

- Click the "Edit routing list" in the sidebar.
- Save the routing list, and click "Save and preview routing slip."
- The routing slip preview should look correct and buttons should work
  correctly.

- When viewing the details of a subscription, click the "Renew" button
  in the toolbar. The popup window should look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>
Comment 3 Katrin Fischer 2018-02-04 15:38:43 UTC
Created attachment 71203 [details] [review]
Bug 19950: Update popup window templates to use Bootstrap grid: Serials

This patch updates the two serials templates to use the Bootstrap grid
instead of the YUI grid.

Apply the patch and go to Serials and locate an existing
subscription.

- Click the "Edit routing list" in the sidebar.
- Save the routing list, and click "Save and preview routing slip."
- The routing slip preview should look correct and buttons should work
  correctly.

- When viewing the details of a subscription, click the "Renew" button
  in the toolbar. The popup window should look correct.

Signed-off-by: Zoe Bennett <zoebennett1308@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-15 16:39:30 UTC
Pushed to master for 18.05, thanks to everybody involved!